/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "GNU Radio Manual and C++ API Reference", "index.html", [
    [ "Usage Manual", "page_usage.html", null ],
    [ "Components", "page_components.html", [
      [ "GNU Radio Blocks", "page_components.html#components_blocks", null ],
      [ "In-tree components", "page_components.html#components_list", null ],
      [ "Analog Modulation", "page_analog.html", [
        [ "Introduction", "page_analog.html#analog_introduction", null ]
      ] ],
      [ "Audio Interface", "page_audio.html", [
        [ "Introduction", "page_audio.html#audio_introduction", null ],
        [ "Usage", "page_audio.html#audio_usage", null ],
        [ "Adding a New Audio Machine", "page_audio.html#audio_adding", null ]
      ] ],
      [ "Standard GNU Radio Blocks", "page_blocks.html", [
        [ "Introduction", "page_blocks.html#blocks_introduction", null ]
      ] ],
      [ "Channel Model Blocks", "page_channels.html", [
        [ "Introduction", "page_channels.html#channels_introduction", null ],
        [ "Available Channel Models", "page_channels.html#channels_types", [
          [ "AWGN Channel", "page_channels.html#channels_awgn", null ],
          [ "Fading Channel Model", "page_channels.html#channels_fading", null ],
          [ "Frequency-Selective Fading Model", "page_channels.html#channels_selective_fading", null ],
          [ "Hardware Impairments Model", "page_channels.html#channels_hw_impairments", null ]
        ] ]
      ] ],
      [ "ControlPort", "page_ctrlport.html", [
        [ "Introduction", "page_ctrlport.html#ctrlport_introduction", null ],
        [ "Configuration", "page_ctrlport.html#ctrlport_conf", null ],
        [ "Dependencies", "page_ctrlport.html#ctrlport_deps", [
          [ "Apache Thrift", "page_ctrlport.html#ctrlport_thrift", [
            [ "Configuration", "page_ctrlport.html#ctrlport_thrift_prefs", null ],
            [ "Thrift: Current Issues", "page_ctrlport.html#ctrlport_thrift_issues", null ]
          ] ],
          [ "Translation Layer for Clients", "page_ctrlport.html#ctrlport_client_translation", null ]
        ] ],
        [ "Using ControlPort to Export Variables", "page_ctrlport.html#ctrlport_using", [
          [ "Alternative Registers", "page_ctrlport.html#ctrlport_alt_reg", null ]
        ] ],
        [ "Display Options", "page_ctrlport.html#ctrlport_disp", null ],
        [ "ControlPort Probes", "page_ctrlport.html#ctrlport_probes", null ],
        [ "ControlPort Monitors", "page_ctrlport.html#ctrlport_monitors", [
          [ "Performance Monitor", "page_ctrlport.html#perfmonitor", null ]
        ] ]
      ] ],
      [ "Digital Modulation", "page_digital.html", [
        [ "Introduction", "page_digital.html#digtial_introduction", null ],
        [ "Constellation Objects", "page_digital.html#digital_constellations", [
          [ "Constellation Objects in GRC", "page_digital.html#digital_grc_constellations", null ]
        ] ],
        [ "Python Constellation Helper Functions", "page_digital.html#digital_python_helpers", [
          [ "PSK Python Helpers", "page_digital.html#digital_python_helpers_psk", null ],
          [ "QAM Python Helpers", "page_digital.html#digital_python_helpers_qam", null ]
        ] ],
        [ "The Generic Modulator/Demodulator", "page_digital.html#digital_generic_mod_demod", [
          [ "Generic Modulator", "page_digital.html#digital_generic_mod", null ],
          [ "Generic Demodulator", "page_digital.html#digital_generic_demod", null ],
          [ "Guts of the Modulator and Demodulator", "page_digital.html#digital_generic_guts", null ]
        ] ],
        [ "Constellation Modulator", "page_digital.html#digital_constellation_modulator", null ],
        [ "Support for Soft Decisions", "page_digital.html#digital_softbits", [
          [ "Review of the Soft Decision API/Functions", "page_digital.html#soft_dec_api", null ]
        ] ]
      ] ],
      [ "Packet Communications", "page_packet_comms.html", [
        [ "Introduction", "page_packet_comms.html#packet_introduction", null ],
        [ "Understanding the Transmitter", "page_packet_comms.html#packet_tx", [
          [ "Parameters of the packet_tx Example", "page_packet_comms.html#packet_tx_params", null ],
          [ "Examples", "page_packet_comms.html#packet_tx_examples", null ]
        ] ],
        [ "Understanding the Receiver", "page_packet_comms.html#packet_rx", [
          [ "Correlation Estimator", "page_packet_comms.html#packet_rx_correst", null ],
          [ "Timing Recovery", "page_packet_comms.html#packet_rx_timing", null ],
          [ "Header/Payload Demux", "page_packet_comms.html#packet_rx_hpd", null ],
          [ "Header Processing Chain", "page_packet_comms.html#packet_rx_hdr_chain", null ],
          [ "Payload Processing Chain", "page_packet_comms.html#packet_rx_pld_chain", null ]
        ] ]
      ] ],
      [ "Forward Error Correction", "page_fec.html", [
        [ "Introduction", "page_fec.html#fec_introduction", null ],
        [ "Using the FEC API", "page_fec.html#fec_using", [
          [ "Deployments", "page_fec.html#fec_deployments", [
            [ "Streaming Deployments", "page_fec.html#fec_deploy_simple", null ],
            [ "Tagged Stream Deployments", "page_fec.html#fec_deploy_tag_stream", null ],
            [ "Asynchronous Deployments", "page_fec.html#fec_deploy_async", null ]
          ] ],
          [ "Encoding/Decoding Variables", "page_fec.html#fec_coding_vars", [
            [ "Dummy Encoder/Decoder", "page_fec.html#fec_dummy", null ],
            [ "Repetition Encoder/Decoder", "page_fec.html#fec_repetition", null ],
            [ "Convolutional Encoder/Decoder", "page_fec.html#fec_cc", null ]
          ] ],
          [ "Parallelism", "page_fec.html#fec_parallelism", null ]
        ] ],
        [ "The API of the FECAPI", "page_fec.html#fec_api", null ],
        [ "FEC Examples", "page_fec.html#fec_examples", null ],
        [ "LDPC Codes", "page_fec.html#fec_ldpc", [
          [ "Describing the alist Files", "page_fec.html#fec_alist", null ],
          [ "LDPC Encoders", "page_fec.html#fec_ldpc_encoders", null ],
          [ "LDPC Decoders", "page_fec.html#fec_ldpc_decoder", null ]
        ] ]
      ] ],
      [ "FFT Signal Processing Blocks", "page_fft.html", [
        [ "Introduction", "page_fft.html#fft_introduction", null ],
        [ "Dependencies", "page_fft.html#fft_dependencies", null ]
      ] ],
      [ "Filter Signal Processing Blocks", "page_filter.html", [
        [ "Introduction", "page_filter.html#filter_introduction", null ],
        [ "Dependencies", "page_filter.html#filter_dependencies", null ],
        [ "Usage", "page_filter.html#filter_usage", [
          [ "Kernels", "page_filter.html#filter_kernels", null ],
          [ "Blocks", "page_filter.html#filter_blocks", null ],
          [ "Design Tools", "page_filter.html#filter_design_tools", null ],
          [ "Filter Design GUI Tool", "page_filter.html#filter_design", null ]
        ] ]
      ] ],
      [ "QT Graphical User Interface", "page_qtgui.html", [
        [ "Introduction", "page_qtgui.html#qtgui_introduction", [
          [ "Blocks", "page_qtgui.html#qtgui_blocks", null ]
        ] ],
        [ "Drop-Down Menu and Interacting with Plots", "page_qtgui.html#qtgui_menu", [
          [ "Triggering Menu for Time Plots", "page_qtgui.html#qtgui_menu_trigger", null ]
        ] ],
        [ "Dependencies", "page_qtgui.html#qtgui_dependencies", null ],
        [ "Usage", "page_qtgui.html#qtgui_usage", null ],
        [ "Message Input Support", "page_qtgui.html#qtgui_messages", null ],
        [ "QTGUI Widgets", "page_qtgui.html#qtgui_widgets", [
          [ "Python widgets:", "page_qtgui.html#qtgui_widgets_python", null ],
          [ "C++ and Message-Passing Widgets", "page_qtgui.html#qtgui_widgets_cpp", null ]
        ] ],
        [ "Configuration", "page_qtgui.html#qtgui_configuration", null ]
      ] ],
      [ "UHD Interface", "page_uhd.html", [
        [ "Introduction", "page_uhd.html#uhd_introduction", null ],
        [ "External Documentation", "page_uhd.html#uhd_external_docs", null ],
        [ "Command Syntax", "page_uhd.html#uhd_command_syntax", [
          [ "Common command keys", "page_uhd.html#uhd_command_syntax_cmds", null ],
          [ "Dictionaries vs pairs", "page_uhd.html#uhd_command_syntax_multi_vs_single", null ]
        ] ],
        [ "Configuring a UHD object", "page_uhd.html#uhd_configuring", null ],
        [ "Logging", "page_uhd.html#Logging", null ]
      ] ],
      [ "Voice Coders and Decoders (Vocoders)", "page_vocoder.html", [
        [ "Introduction", "page_vocoder.html#vocoder_introduction", null ],
        [ "Using the vocoders", "page_vocoder.html#vocoders_using", null ]
      ] ],
      [ "ZeroMQ", "page_zeromq.html", [
        [ "Introduction", "page_zeromq.html#zmq_introduction", null ]
      ] ]
    ] ],
    [ "License", "License.html", null ],
    [ "Release Process Documentation", "page_releasing.html", [
      [ "Preparation", "page_releasing.html#Preparation", null ],
      [ "Tagging", "page_releasing.html#Release", null ],
      [ "Of Archives", "page_releasing.html#Creation", null ]
    ] ],
    [ "Build Instructions and Information", "build_guide.html", [
      [ "Dependencies", "build_guide.html#dependencies", [
        [ "Global Dependencies", "build_guide.html#dep_global", null ],
        [ "Python Wrappers", "build_guide.html#dep_python", null ],
        [ "docs: Building the documentation", "build_guide.html#dep_docs", null ],
        [ "grc: The GNU Radio Companion", "build_guide.html#dep_grc", null ],
        [ "gr-fft: Fast Frequency Transform", "build_guide.html#dep_fft", null ],
        [ "gr-zeromq: ZeroMQ Network layer", "build_guide.html#dep_zeromq", null ],
        [ "gr-wavelet: Collection of wavelet blocks", "build_guide.html#dep_wavelet", null ],
        [ "gr-qtgui: The QT-based Graphical User Interface", "build_guide.html#dep_gr_qtgui", null ],
        [ "gr-audio: Audio Subsystems (system/OS dependent)", "build_guide.html#dep_gr_audio", null ],
        [ "uhd: The Ettus USRP Hardware Driver Interface", "build_guide.html#dep_uhd", null ],
        [ "gr-fcd: The FunCube Dongle hardware interface (only if you want to use one)", "build_guide.html#dep_gr_fdc", null ],
        [ "gr-video-sdl: PAL and NTSC display (rarely used)", "build_guide.html#dep_gr_video_sdl", null ]
      ] ],
      [ "Building GNU Radio", "build_guide.html#build_gr_cmake", null ],
      [ "CMake Options", "build_guide.html#cmake_options", [
        [ "Collection of CMake Flags", "build_guide.html#cmake_other", null ],
        [ "Building for the E100", "build_guide.html#build_gr_cmake_e100", null ]
      ] ]
    ] ],
    [ "Topics", "topics.html", "topics" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", "namespacemembers_type" ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", "namespacemembers_eval" ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Properties", "functions_prop.html", null ],
        [ "Related Symbols", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", "globals_vars" ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"ConstellationDisplayPlot_8h.html",
"agc2__pydoc__template_8h_source.html",
"atsc__fpll__pydoc__template_8h.html#a27b69081749a613d9b04606c537336ee",
"block__detail__pydoc__template_8h.html#a2c84e419d4142a96e2375f94323c965b",
"build_guide.html#dep_python",
"classColorMap__UserDefined.html#a464a88786a768339b809abac247671a0",
"classDisplayPlot.html#abbd838c40a5e3b74e56dbdb71553e47c",
"classFreqDisplayForm.html#a5a7d63a2f858aeb40a56583e441f65fa",
"classLineMarkerMenu.html#ab6e4101a0813cfa679d2b32d122329ca",
"classSpectrumUpdateEvent.html#a4a0e5f8ba659d46e4e973b3eeb39dfde",
"classVectorDisplayForm.html#addf87fa0cd71c75aaab21834be576dec",
"classcldpc.html",
"classgr_1_1analog_1_1kernel_1_1agc__ff.html#a01b33b93967f3248a632ea0bd5f1d418",
"classgr_1_1basic__block.html#ac84f6979cb9e7650de9d9205901401aa",
"classgr_1_1blocks_1_1add__const__ff.html",
"classgr_1_1blocks_1_1ctrlport__probe2__f.html#aff7126c59fc3336168ec4c9612ccd336",
"classgr_1_1blocks_1_1message__debug.html#ae17219257d57544f19df093227cc3aac",
"classgr_1_1blocks_1_1swap__iq.html#af31d488950145a3da9f29842b22de085",
"classgr_1_1buffer.html#aea14fec8297006abcc4aac9d1c312d9c",
"classgr_1_1dictionary__logger__backend.html#aa0fc585cd47a0b277f7af23d416017b6",
"classgr_1_1digital_1_1constellation__8psk__natural.html#acc1b46b394f88cac208a6a75e43e5d37",
"classgr_1_1digital_1_1fll__band__edge__cc.html#afe1917232805e999261c517af9efb910",
"classgr_1_1digital_1_1msk__timing__recovery__cc.html#a603550607d80252f3272e2c80a40475f",
"classgr_1_1digital_1_1symbol__sync__cc.html#a37b8f366cfd937a8cbcd3a1d10064d64",
"classgr_1_1dtv_1_1dvbt2__pilotgenerator__cc.html#a39f78899ae3c1a7765bd9ed0e99fa1f7",
"classgr_1_1fec_1_1code_1_1polar__common.html#a60ff0244818aed4c3dd047fe4a36e6ad",
"classgr_1_1fec_1_1tpc__common.html#a5df4b44049da7f6165e0ff05e500f610",
"classgr_1_1filter_1_1firdes.html#a952455af67bb857ea4ba6ef6d0f1e898",
"classgr_1_1filter_1_1kernel_1_1iir__filter.html#ad5416a12b2ed9b6e77c1d29ed16ebf1b",
"classgr_1_1filter_1_1single__pole__iir.html#aa8d14823d7649449309387443c133615",
"classgr_1_1iio_1_1device__source.html",
"classgr_1_1messages_1_1msg__producer.html#a3e4471e76c488d5dfb4a7d2ffdc766cf",
"classgr_1_1prefs.html#adba4801687423d474514c8ef6f46992a",
"classgr_1_1qtgui_1_1eye__sink__f.html#a7620c031b1905612931a6a44a8df4f54",
"classgr_1_1qtgui_1_1histogram__sink__f.html#a3fb9b33c05f255a306d8998779376dbb",
"classgr_1_1qtgui_1_1time__raster__sink__f.html#a18a06a6f06d62fe8aed080c84f07befc",
"classgr_1_1qtgui_1_1vector__sink__f.html#a2b79a0d2804602046aa313f6e2ade4d5",
"classgr_1_1soapy_1_1block.html#a0b2e33554b29f0d05de0a3d851c18408",
"classgr_1_1thread_1_1thread__group.html#a81eb80129db51f3bc670f407e3d76098",
"classgr_1_1uhd_1_1rfnoc__block.html#a3f42a4a7f039f20c56a8590403ee9884",
"classgr_1_1uhd_1_1usrp__source.html#a4adf629512e551d1cc360a83e3667f51",
"classpmt_1_1exception.html",
"classrpcinserter__base.html#ad0a669031de1cca36cf612f7d4f74b05",
"complex__to__mag__squared__pydoc__template_8h.html#a6cf66cd5f45982a697b0c5ceaa5b5f09",
"control__loop__pydoc__template_8h.html#a63947e5c75f843ec4968833fa3640863",
"crc32__bb__pydoc__template_8h.html#ad72bec690ff5f0e2bf4d4dbd771c2635",
"descrambler__bb__pydoc__template_8h.html",
"dir_a97dbe2d99fcfaf3c93b52eaf43e7126.html",
"dvb__config_8h.html#a7b0c8806529652b1009e5626008be266a70692c28534aa923930aab290a1feaac",
"dvbt2__pilotgenerator__cc__pydoc__template_8h.html#a74021f021dcdfbb22891787b79c5529d",
"eye__sink__c__pydoc__template_8h.html#a98ee1151a1e6c056e8415e995017af1c",
"file__meta__sink__pydoc__template_8h.html#af444fe7ffd36cee7c429d7e65f6a3517",
"flowgraph__pydoc__template_8h.html#a4dd0725cac5ecf31c1bfad6a5354c9da",
"freq__sink__f__pydoc__template_8h.html#ad3fa8b6270ccc78bcd636d8575b24152",
"g723__40__decode__bs__pydoc__template_8h.html#a74021f021dcdfbb22891787b79c5529d",
"gr-fec_2python_2fec_2bindings_2docstrings_2encoder__pydoc__template_8h.html#aca1ad02357109c902089d79054be8179",
"header__format__crc__pydoc__template_8h.html#a755f568209013f2428168a1f7c9991b5",
"int__to__float__pydoc__template_8h.html#ad9973b75a9f823da2b9bd8d1d01b4ea0",
"lfsr__32k__pydoc__template_8h_source.html",
"message__strobe__random__pydoc__template_8h.html#a33b6e6860923f1c66e1198b6900367e0",
"multiply__by__tag__value__cc__pydoc__template_8h.html#a74021f021dcdfbb22891787b79c5529d",
"namespacegr_1_1blocks.html#a6a21f44a58733ad89151693aab5c0217",
"namespacegr_1_1dtv.html#a5fecdb052159e6098ad712f93d88bd82a74aa099e6654d70f30509549b20d744c",
"namespacegr_1_1thread.html#a2207528267c984d64944456ddb325788",
"namespacepmt.html#a1441d157003d06deddecadfad54c04a7",
"nlog10__ff__pydoc__template_8h_source.html",
"obj-x86__64-linux-gnu_2gr-filter_2python_2filter_2bindings_2pydoc__macros_8h.html#a31ea356761360e78d16525aa69d2dae6",
"ofdm__sync__sc__cfb__pydoc__template_8h.html#a64ffa1b80d6c62a6af4b513b09c7fed8",
"pccc__encoder_8h.html#a4a2d520ab111e73f9a7aaadb77a269cc",
"pfb__arb__resampler__pydoc__template_8h.html#a7ed7dfc352b5b1b78bce0a00f4fef75c",
"pm__remez__pydoc__template_8h.html",
"pmt__pool_8h.html",
"pmt__pydoc__template_8h.html#ad2b319da1a390458f1e58748e9dd7dda",
"probe__avg__mag__sqrd__c__pydoc__template_8h_source.html",
"qtgui__types__pydoc__template_8h.html",
"rfnoc__fir__filter__pydoc__template_8h.html#a74021f021dcdfbb22891787b79c5529d",
"rpcregisterhelpers_8h_source.html",
"sink__f_8h_source.html",
"streams__to__vector__pydoc__template_8h.html#af88b4bda3f0d329d00c8618e3b748fee",
"structrpcpmtconverter_1_1to__pmt__string__f.html",
"tags__strobe__pydoc__template_8h.html#a3a18cf97e6c6df81278cdb06753c06ef",
"time__sink__c__pydoc__template_8h.html#ae0253b067dab2136533a6766a6220084",
"ulaw__encode__sb__pydoc__template_8h.html#a122ff46bce00df6d06dd9e817ca5711c",
"vector__sink__f__pydoc__template_8h.html#ab211b4b8501bca2cf9e54086028d73f7",
"wvps__ff__pydoc__template_8h.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';